### Method

# Camel MimeFilterBestenc get_best_encoding

#### Declaration [src]

    CamelTransferEncoding
    camel_mime_filter_bestenc_get_best_encoding (
      CamelMimeFilterBestenc* filter,
      CamelBestencEncoding required
    )

#### Description [src]

Get the best encoding, given specific constraints, that can be used to encode a stream of bytes.

#### Parameters

`required`

  Type: `CamelBestencEncoding`

  Maximum level of output encoding allowed.

#### Return value

Type: `CamelTransferEncoding`

The best encoding to use.